VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Public Attributes | List of all members
CDrawContext::Impl Struct Reference

## Classes
struct | State

## Public Attributes
UTF8String * | drawStringHelper {nullptr}
CRect | surfaceRect
double | scaleFactor {1.}
State | currentState
std::stack< State > | globalStatesStack
std::stack< CGraphicsTransform > | transformStack
PlatformGraphicsDeviceContextPtr | device

## Member Data Documentation

State currentState

PlatformGraphicsDeviceContextPtr device

UTF8String* drawStringHelper {nullptr}

std::stack<State> globalStatesStack

double scaleFactor {1.}

CRect surfaceRect

std::stack<CGraphicsTransform> transformStack

The documentation for this struct was generated from the following file:

- cdrawcontext.cpp